Bug 281701 - Cannot boot installer under qemu/kvm (ACPI)
Cannot boot installer under qemu/kvm (ACPI)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 20:58 EDT by Andrew Bartlett
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 21:21:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Bartlett 2007-09-06 20:58:21 EDT
Description of problem:
Starting the current installer under qemu (and qemu-kvm) panics (attempting to
kill init) during boot, unless -no-acpi is passed to qemu. 

Version-Release number of selected component (if applicable):
Rawhide boot image as of 2007-09-07

How reproducible:
Every time

Steps to Reproduce:
1. sudo qemu-kvm -hda disk.img -cdrom boot.iso -kernel vmlinuz -initrd initrd.img 

2. 
3.
  
Actual results:
Kernel panic in qemu console, starting at cpuidle_attach_driver

Expected results:
Installer to start, as it does if -no-acpi is added.

Additional info:
I have not yet tried this on real hardware.
Comment 1 Andrew Bartlett 2007-09-06 21:21:47 EDT
On further investigation, the version in the boot image was 2.6.23-0.161.rc5.fc8
and the kernel changelog for kernel 2.6.23-0.164.rc5.fc8.i686 has fixed this. 

This is fixed in the latest boot image (my mirror was stale).   Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.